Click or drag to resize
CurveCreateTweenCurvesWithMatching Method
Creates curves between two open or closed input curves. Make the structure of input curves compatible if needed. Refits the input curves to have the same structure. The resulting curves are usually more complex than input unless input curves are compatible and no refit is needed. There is no matching of curves direction. Caller must match input curves direction before calling the function.

Namespace: Rhino.Geometry
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public static Curve[] CreateTweenCurvesWithMatching(
	Curve curve0,
	Curve curve1,
	int numCurves
)

Parameters

curve0
Type: Rhino.GeometryCurve
The first, or starting, curve.
curve1
Type: Rhino.GeometryCurve
The second, or ending, curve.
numCurves
Type: SystemInt32
Number of tween curves to create.

Return Value

Type: Curve
An array of joint curves. This array can be empty.
See Also